Bug 2016141 - CVE-2021-2478 CVE-2021-2479 CVE-2021-2481 CVE-2021-35546 CVE-2021-35575 CVE-2021-35577 CVE-2021-35591 CVE-2021-35596 CVE-2021-35597 CVE-2021-35602 CVE-2021-35604 CVE-2021-35607 CVE-2021-35608 CVE-2021-35610 ... community-mysql: various flaws [fedora-all]
Summary: CVE-2021-2478 CVE-2021-2479 CVE-2021-2481 CVE-2021-35546 CVE-2021-35575 CVE-2...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 34
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-2478 CVE-2021-2479 CVE-2021-2481 CVE-2021-35546 CVE-2021-35575 CVE-2021-35577 CVE-2021-35591 CVE-2021-35596 CVE-2021-35597 CVE-2021-35602 CVE-2021-35607 CVE-2021-35608 CVE-2021-35610 CVE-2021-35612 CVE-2021-35622 CVE-2021-35623 CVE-2021-35624 CVE-2021-35625 CVE-2021-35626 CVE-2021-35627 CVE-2021-35628 CVE-2021-35630 CVE-2021-35631 CVE-2021-35632 CVE-2021-35633 CVE-2021-35634 CVE-2021-35635 CVE-2021-35636 CVE-2021-35637 CVE-2021-35638 CVE-2021-35639 CVE-2021-35640 CVE-2021-35641 CVE-2021-35642 CVE-2021-35643 CVE-2021-35644 CVE-2021-35645 CVE-2021-35646 CVE-2021-35647 CVE-2021-35648 CVE-2022-21278 CVE-2022-21297 CVE-2022-21352 CVE-2021-35604
TreeView+ depends on / blocked
 
Reported: 2021-10-20 18:49 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-01-28 20:24 UTC (History)
4 users (show)

Fixed In Version: community-mysql-8.0.27-1.fc34 community-mysql-8.0.27-1.fc33 community-mysql-8.0.27-1.fc35
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-10 02:30:00 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-10-20 18:49:07 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2021-10-20 18:49:09 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2016088,2016089,2016090,2016091,2016092,2016093,2016094,2016095,2016096,2016097,2016098,2016099,2016100,2016101,2016104,2016105,2016106,2016107,2016108,2016109,2016110,2016111,2016112,2016113,2016114,2016116,2016117,2016118,2016119,2016120,2016121,2016122,2016124,2016126,2016127,2016128,2016129,2016130,2016131,2016132,2016133,2016134,2016135,2016137,2016138,2016141

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Michal Schorm 2021-10-31 17:55:41 UTC
Done for Rawhide:
  https://bodhi.fedoraproject.org/updates/FEDORA-2021-e53522f290

Updates for F33, F34, F35 are in progress

Comment 3 Fedora Update System 2021-11-01 07:09:55 UTC
FEDORA-2021-46dc82116b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-46dc82116b

Comment 4 Fedora Update System 2021-11-01 07:09:58 UTC
FEDORA-2021-70dd0b9f5d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-70dd0b9f5d

Comment 5 Fedora Update System 2021-11-01 07:10:00 UTC
FEDORA-2021-f74148c6d4 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f74148c6d4

Comment 6 Fedora Update System 2021-11-02 01:07:28 UTC
FEDORA-2021-f74148c6d4 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f74148c6d4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f74148c6d4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-11-02 02:04:46 UTC
FEDORA-2021-70dd0b9f5d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-70dd0b9f5d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-70dd0b9f5d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-11-02 02:05:43 UTC
FEDORA-2021-46dc82116b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-46dc82116b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-46dc82116b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-11-10 02:30:00 UTC
FEDORA-2021-f74148c6d4 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-11-10 02:33:07 UTC
FEDORA-2021-70dd0b9f5d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-11-10 02:53:16 UTC
FEDORA-2021-46dc82116b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-11-10 08:15:51 UTC
FEDORA-2021-f74148c6d4 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.